:Begin:
:Function: a0
:Pattern: A0[m_, opt___Rule]
:Arguments: {N[m], N[Delta /. {opt} /. Options[A0]],
   N[Mudim /. {opt} /. Options[A0]]}
:ArgumentTypes: {Real, Real, Real}
:ReturnType: Real
:End:

:Evaluate: Options[A0] = {Delta -> 0, Mudim -> 1}


#include "mathlink.h"


static double a0(const double m,
  const double delta, const double mudim)
{
  return m*(1 - log(m/mudim) + delta);
}


int main(int argc, char **argv)
{
  return MLMain(argc, argv);
}

